Bug 508147 - rgmanager fails stop after a failed initialization.
rgmanager fails stop after a failed initialization.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 15:53 EDT by Toure Dunnon
Modified: 2011-12-27 01:31 EST (History)
2 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-1.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toure Dunnon 2009-06-25 15:53:26 EDT
Description of problem:

RHEL5.3 -- If cluster service fails to complete and both nodes are powered off
clurgmgrd will wait for initial start to complete before shutting down.

Version-Release number of selected component (if applicable):

rgmanager-2.0.46-1.el5

How reproducible:

Two node cluster fail to start configured service, shutdown both nodes
once login prompt is reached, one node may shutdown correctly but second node
is stuck trying to stop clurgmgrd as it was never started correctly.


gdb /usr/sbin/clurgmgrd <highest pid>

gdb> thr a a bt
#0  0x000000328bc99730 in __nanosleep_nocancel () from /lib64/libc.so.6
#1  0x000000328bc99584 in sleep () from /lib64/libc.so.6
#2  0x000000000040c175 in wait_for_fencing ()
#3  0x000000000040c510 in main ()



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lon Hohberger 2009-06-25 16:03:23 EDT
It's not failed; it never completed.

http://git.fedorahosted.org/git/?p=cluster.git;a=commit;h=6fbdf268d92e2d3567f452c9e92e3898b58564ac
Comment 7 errata-xmlrpc 2010-03-30 04:49:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0280.html

Note You need to log in before you can comment on or make changes to this bug.